#!/bin/sh

result=`dirname "$0"`

pcu2=$(system_profiler SPUSBDataType|grep -c PCU2 2>/dev/null)
pcu3=$(system_profiler SPUSBDataType|grep -c PCU3 2>/dev/null)


if  [ $pcu3 -gt 0 ] ; then
	serialport=$(find /dev -name "tty.usbmodem*" 2>/dev/null)
	
	"$result/avrdude" -C "$result/avrdude.conf" -v -v -patmega2560 -cstk500v2 -P$serialport -b57600 -D -Uflash:w:"$result/pcu2+.cpp.hex":i
else
	if  [ $pcu2 -gt 0 ] ; then
		serialport=$(find /dev -name "tty.usbmodem*" 2>/dev/null)
	
		"$result/avrdude" -C "$result/avrdude.conf" -v -v -patmega2560 -cstk500v2 -P$serialport -b57600 -D -Uflash:w:"$result/pcu2.cpp.hex":i
	else

		serialport=$(find /dev -name "tty.usbserial*" 2>/dev/null)

		if [ "$(echo $serialport | cut -c 1-8)" = "/dev/tty" ]; then
			"$result/avrdude" -C "$result/avrdude.conf" -v -v -patmega1280 -cstk500v1 -P$serialport -b57600 -D -Uflash:w:"$result/pcu.cpp.hex":i
		else
			serialport=$(find /dev -name "tty.usbmodem*" 2>/dev/null)
			"$result/avrdude" -C "$result/avrdude.conf" -v -v -patmega2560 -cstk500v2 -P$serialport -b115200 -D -Uflash:w:"$result/pcu.2.cpp.hex":i
		fi

	fi

fi

